The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> telldir - current location of a named directory stream

#### SYNOPSIS

> ``[XSI] #include <dirent.h>
> long telldir(DIR *`dirp`);``
> `
> `

#### DESCRIPTION

> The telldir() function shall obtain the current location associated with the directory stream specified by dirp.

> If the most recent operation on the directory stream was a seekdir(), the directory position returned from the telldir() shall be the same as that supplied as a loc argument for seekdir().

#### RETURN VALUE

> Upon successful completion, telldir() shall return the current location of the specified directory stream.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fdopendir, readdir, seekdir

> XBD <dirent.h>

#### CHANGE HISTORY

> First released in Issue 2.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]